Loading...
Searching...
No Matches
Rot3.h File Reference

3D rotation represented as a rotation matrix or quaternion More...

Go to the source code of this file.

## Classes

class | gtsam::Rot3
| Rot3 is a 3D rotation represented as a rotation matrix if the preprocessor symbol GTSAM_USE_QUATERNIONS is not defined, or as a quaternion if it is defined. More...
struct | gtsam::Rot3::CayleyChart
struct | gtsam::Rot3::ChartAtOrigin
struct | gtsam::traits< Rot3 >
struct | gtsam::traits< const Rot3 >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | ROT3_DEFAULT_COORDINATES_MODE Rot3::CAYLEY

## Typedefs

using | gtsam::Rot3Vector = std::vector<Rot3, Eigen::aligned_allocator<Rot3> >
| std::vector of Rot3s, mainly for wrapper

## Functions

pair< Matrix3, Vector3 > | gtsam::RQ (const Matrix3 &A, OptionalJacobian< 3, 9 > H=boost::none)
| [RQ] receives a 3 by 3 matrix and returns an upper triangular matrix R and 3 rotation angles corresponding to the rotation matrix Q=Qz'*Qy'*Qx' such that A = R*Q = R*Qz'*Qy'*Qx'.

## Detailed Description

3D rotation represented as a rotation matrix or quaternion

Author
  Alireza Fathi
  Christian Potthast
  Frank Dellaert
  Richard Roberts
  Luca Carlone
  Varun Agrawal